' 
' Set computer accounts per user.
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change the strDomain variable to point to one of your DCs
' + Change the intQuota variable to the number of computer accounts that a user
'   can have.
' 
' 


On Error Resume Next

' Configuration.
' =============================================================================
strDomain		=	"nwtraders.msft"
intQuota		=	25


' Set the maximum number of computer accounts per user to intQuota.
' =============================================================================
Set objRootDSE		=	GetObject("LDAP://" & strDomain & "/RootDSE")
Set objDomain		=	GetObject("LDAP://" & objRootDSE.Get("defaultNamingContext"))
objDomain.Put "ms-DS-MachineAccountQuota", intQuota
objDomain.SetInfo

Set objRootDSE		=	Nothing
Set objDomain		=	Nothing