' 
' List login times
' Written by David Hope - http://davehope.co.uk
' 
' Setup:
' + Change the strDomain variable to point to one of your DCs
' 
' 


On Error Resume Next

' Configuration.
' =============================================================================
strDomain		=	"london"


' Get object containging accounts and filter to just users.
' =============================================================================
Set objDomain		=	GetObject("WinNT://" & strDomain)
objDomain.Filter	=	Array("User")



' Iterate through users, printing their last login date.
' =============================================================================
WScript.Echo "------------------------------------------------------------------"
WScript.Echo "Showing last login times of accounts from " & objDomain.Name
WScript.Echo "------------------------------------------------------------------"
intUsers		=	0

For Each objDomainItem In objDomain
	WScript.Echo "Username: " & Left(objDomainItem.Name & Space(25),25) & "Last login: " & FormatDateTime(objDomainItem.LastLogin)
	intUsers	=	intUsers + 1
Next

' Display some basic statistics.
' =============================================================================
WScript.Echo	"------------------------------------------------------------------"
WScript.Echo	"Total Users: " & intUsers & vbNewLine
Wscript.quit
